"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getResolvedTargetModule = exports.getResolvedModule = exports.getFiles = void 0;
const globby_1 = __importDefault(require("globby"));
exports.getFiles = (patterns, opts = {}) => {
    return globby_1.default(patterns, opts);
};
exports.getResolvedModule = (modulePath, { resolver = require.resolve } = {}) => {
    try {
        return resolver(modulePath);
    }
    catch (err) {
        return '';
    }
};
exports.getResolvedTargetModule = (target, { resolver = require.resolve } = {}) => {
    return exports.getResolvedModule(`../targets/${target}`, { resolver });
};
//# sourceMappingURL=index.js.map