"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
jest.mock('./index');
jest.mock('commander', () => {
    const commandInstance = {};
    const commandInstanceMethod = jest.fn(() => commandInstance);
    commandInstance.command = commandInstanceMethod;
    commandInstance.description = commandInstanceMethod;
    commandInstance.option = commandInstanceMethod;
    commandInstance.action = jest.fn(cb => cb({}) || commandInstance);
    commandInstance.parse = commandInstanceMethod;
    return {
        Command: jest.fn(() => {
            return commandInstance;
        })
    };
});
describe('cli', () => {
    it('executes successfully', () => {
        require('./cli');
    });
});
//# sourceMappingURL=cli.spec.js.map